8.х Ошибка при установке

Тема в разделе "Общие вопросы "1С:Предприятие 8"", создана пользователем Dem0lisher, 11 май 2011.

  1. TopicStarter Overlay
    Dem0lisher
    Offline

    Dem0lisher Профессионал в 1С

    Регистрация:
    4 авг 2009
    Сообщения:
    1.028
    Симпатии:
    51
    Баллы:
    54
    Здравствуйте уважаемые эксперты!
    Объясните в чем может быть дело: Устанавливаю типовые конфигурации Бухгалтерия 2.0, УТ, и ЗУП под платформу 8.2 смог обновить до свежего релиза только конфигурацию "Бухгалтерия". Пытаюсь обновить УТ и ЗУП-они не видят обновлений, хотя обновления лежат в папке в том числе и файлы с расширением *.cfu.
    Версия платформы 8.2.13.219.
    Еще возникает ошибка при установке программы "Рарус Альфа-Авто:Автосервис+Запчасти" редакции 4.
    Устанавливаю драйвер защиты, втыкаю ключик. Указываю в шаблонах Альфа-Авто, жму "Далее" после несколких секунд раздумий система выдает

    Ошибка при создании информационной базы.
    Создание информационной базы ('File="D\Мои документы\Rarus\Autoservice" успешно завершено.
    Структура конфигурации несовместима с текущей версией программы.

    Только в каком месте успешно-хз!!

    В чем тут дело?
  2. shurikvz
    Offline

    shurikvz Модераторы Команда форума Модератор

    Регистрация:
    1 окт 2009
    Сообщения:
    8.410
    Симпатии:
    316
    Баллы:
    104
    Сами обновления (и новая база для альфа-авто) - для какой платформы?
  3. for_maricat
    Offline

    for_maricat Опытный в 1С

    Регистрация:
    11 ноя 2010
    Сообщения:
    236
    Симпатии:
    0
    Баллы:
    26
    Проверьте, предназначены ли эти обновления для этих релизов (файл 1cv8upd.htm или UpdInfo.txt). Попробуйте "указать файл обновления" и ткнуть 1с-ке пальцем на файл .cfu. Каков результат?

    скорее всего, альфа-авто для 8.1. очень похоже, по крайней мере.
  4. korovino2004
    Offline

    korovino2004

    Регистрация:
    11 май 2011
    Сообщения:
    1
    Симпатии:
    0
    Баллы:
    1
    у меня аналогичная ситуация - сконвертировал з/плату на 8.2, а обновить с 2.5.34 на 2.5.35 не могу - не видит файл обновления (точнее, говорит, что он предназначен... именно для моей конфигурации)
  5. for_maricat
    Offline

    for_maricat Опытный в 1С

    Регистрация:
    11 ноя 2010
    Сообщения:
    236
    Симпатии:
    0
    Баллы:
    26
    А-а. Бывает такая фигня. Если Вы (или 1С - у них тоже бывает) ТОЧНО не перепутали базовую версию с проф.
    Кстати, конфа типовая? Полностью на поддержке?
    Может помочь такое:
    Нужен установочник для релиза 2.5.34 версии 8.2 (файл .cf от 1C). После этого сначала делаете обновление этим файлом, типа "само на себя" (но именно обновление, а не сравнение-объединение). После этого база часто соглашается считать себя именно этим релизом и следующее обновление принимает нормально.
  6. TopicStarter Overlay
    Dem0lisher
    Offline

    Dem0lisher Профессионал в 1С

    Регистрация:
    4 авг 2009
    Сообщения:
    1.028
    Симпатии:
    51
    Баллы:
    54
    Всем спасибо!
    У типовых проблема действительно в разных версиях, не тот релиз скармливаю для обновления.
    А в Альфа-Авто так и есть для платформы версии 8.1, а я ее сую в 8.2.
    Буду исправляться.
    Кстати, чтобы обновить конфигурацию для восьмерки надо устанавливать патчи поочередно, и нельзя перескакивать сразу на самый свежий релиз? Или так можно только в "семерке"?
  7. for_maricat
    Offline

    for_maricat Опытный в 1С

    Регистрация:
    11 ноя 2010
    Сообщения:
    236
    Симпатии:
    0
    Баллы:
    26
    Вообще не рекомендуется. Обновлять желательно в соответствии с рекомендациями в файлах 1cv8Upd.htm. Иногда удается пропустить 1-2 релиза, но не часто.

    Теоретически же, если взять установочный файл (.cf) и обновляться им, то можно пропустить релизы, но это без гарантии (если в промежутках была какая-то реструктуризация данных - может аукнуться потерями либо некорректной работой).
  8. eViLL
    Offline

    eViLL Опытный в 1С

    Регистрация:
    25 фев 2011
    Сообщения:
    264
    Симпатии:
    2
    Баллы:
    29
    Если вы не будете при обновлении указывать пункт "выбор файла обновления" а выберете "поиск обновлений" (там надо оставить галочку только на верхней строчке - каталог с шаблонами, а все ссылки на съёмные диски и интернет убрать) то в списке доступных обновлений вы увидите выделенный жирным шрифтом релиз - это последний на который вы в данный момент можете обновиться (так же там будут все предыдущие но обычным шрифтом - их можно пропустить). Порой получается перепрыгнуть через два, три а то и четыре релиза.

    Для совсем древних релизов есть такая вещь как "Конфигурация->Поставка конфигурации->Создать файл поставки и обновления конфигурации". Нужно сделать пустую базу последнего релиза и создать файл *.cf (это файл поставки а не обновление). В обновляемой базе при обновлении ткнуть именно в этот файл. В пользовательском режиме после обновления 1Ска "прочесывает" данные под последний релиз (причем если верить "Руководству администратора 1С" механизм такого обновления отличается от механизма обновления на файл поставки из шаблонов). Ниразу не сталкивался ещё с повреждениями баз при обновлении таким методом.
  9. TopicStarter Overlay
    Dem0lisher
    Offline

    Dem0lisher Профессионал в 1С

    Регистрация:
    4 авг 2009
    Сообщения:
    1.028
    Симпатии:
    51
    Баллы:
    54

    очень интересно, т.е если я скопирую в папку tmplts все обновления, то при обновлении система позволит выбрать только ту единственную версию из всех, на которую возможно перейти с текущей версии?
    Или я не так понял?
  10. eViLL
    Offline

    eViLL Опытный в 1С

    Регистрация:
    25 фев 2011
    Сообщения:
    264
    Симпатии:
    2
    Баллы:
    29
    Поняли правильно. Только я не уверен что вы имеете ввиду под словом "скопирую", нужно установить туда шаблоны всех обновлений которые у вас есть дабы не нарушилась структура папок. Нужно сделать именно такие пути какие делает установщик шаблонов. В платформе по кнопке "Настройка" указать путь к каталогу с шаблонами конфигураций (конечная папка - tmplts, дальше углу*****ся не нужно)

Поделиться этой страницей